Bug 115591 - anaconda detects PS/2 mouse although it is USB
anaconda detects PS/2 mouse although it is USB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 13:24 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-16 00:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2004-02-13 13:24:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I use Logitech IFeel USB mouse, but anaconda detects it as "Generic -
Wheel Mouse (PS/2). Strange enough in the end the mouse works on the
console and in X11.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use a USB mouse and see what anaconda detects.
2.
3.
    

Additional info:
Comment 1 Rick Richardson 2004-02-14 21:48:01 EST
I'm going to piggy pack my bug report on this one.  I have a D845
Intel mobo with a logitech optical wheel mouse, USB.

I just upgraded to Fedora Core 2 test1 from FC1 using the CDROM .iso's.
FC2T1 reported that my mouse was PS/2 wheel mouse during installation.
 So I selected USB wheel mouse instead.  The installation completed,
and the mouse was functional.

HOWEVER.  Then I rebooted.  The mouse hasn't worked since.

It seems to me that mouse issues were things we had to deal with 5
years or more ago.  Not something I expected to be screwed up in 2004!
Comment 2 Bill Nottingham 2004-02-16 00:50:26 EST
Rick - add 'alias usb-controller uhci-hcd' to /etc/modprobe.conf.

The 'universal presence of a PS/2 mouse' is fixed in current kudzu.

Note You need to log in before you can comment on or make changes to this bug.